# -*- coding: utf-8 -*- #

from django.conf.urls import url
from django.contrib.auth.views import login, logout
from . import views

urlpatterns = [
    url(r'^$', views.main, name='main'),
    url(r'^test/$',  views.test, name = 'test'),
    url(r'^transactions/$', views.tr_list, name = 'tr_list'),
    url(r'^tr_edit/$', views.massive_tr_edit, name='massive_tr_edit'),
    url(r'^csv/$', views.get_csv, name='get_csv'),
    url(r'^upload/$', views.upload_tr, name='upload_tr'),
    url(r'^account/$', views.acc_list, name='acc_list'),
    url(r'^category/$', views.cat_list, name='cat_list'),
    url(r'^reports/$', views.reports, name='reports'),
    url(r'^cat_edit/$', views.massive_cat_edit, name='massive_cat_edit'),
    url(r'^json/$', views.json, name='json'),
    url(r'^login/$', login, {'template_name':'pfm/login.html'}, name='login'),
    url(r'^logout/$', logout,{'template_name':'pfm/logout.html'}, name='logout'),
]
